tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare Struct Reference
Collaboration diagram for tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare:

## Public Member Functions

| not_greater_compare (const key_compare &less_compare)
template<typename K1 , typename K2 >
bool | operator() (const K1 &first, const K2 &second) const

## Public Attributes

const key_compare & | my_less_compare

## Detailed Description

### template<typename Traits>
struct tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare

Definition at line 1043 of file _concurrent_skip_list_impl.h.

## Constructor & Destructor Documentation

## not_greater_compare()

template<typename Traits >

tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare::not_greater_compare | ( | const key_compare & | less_compare | ) |

inline

Definition at line 1046 of file _concurrent_skip_list_impl.h.

: my_less_compare(less_compare) {}
tbb::interface10::internal::concurrent_skip_list::not_greater_compare::my_less_compare
const key_compare & my_less_compare
Definition: _concurrent_skip_list_impl.h:1044

## Member Function Documentation

## operator()()

template<typename Traits >
template<typename K1 , typename K2 >

bool tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare::operator() | ( | const K1 & | first,
|  | const K2 & | second
| ) |  | const

inline

Definition at line 1049 of file _concurrent_skip_list_impl.h.

{
return !my_less_compare(second, first);
}
tbb::internal::first
auto first(Container &c) -> decltype(begin(c))
Definition: _range_iterator.h:34

References tbb::internal::first(), and tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare::my_less_compare.

Here is the call graph for this function:

## Member Data Documentation

## my_less_compare

template<typename Traits >

const key_compare& tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare::my_less_compare

Definition at line 1044 of file _concurrent_skip_list_impl.h.

Referenced by tbb::interface10::internal::concurrent_skip_list< Traits >::not_greater_compare::operator()().

The documentation for this struct was generated from the following file:

- _concurrent_skip_list_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.